import Vue from 'vue';
import * as common from 'schema-based-json-editor';
import 'markdown-tip-vue';
import 'select2-vue-component';
import 'file-uploader-vue-component';
export declare class StringEditor extends Vue {
    schema: common.StringSchema;
    initialValue: string | undefined;
    title: string;
    theme: common.Theme;
    icon: common.Icon;
    locale: common.Locale;
    readonly: boolean;
    required: boolean;
    hasDeleteButton: boolean;
    md?: common.MarkdownIt;
    hljs?: common.HLJS;
    forceHttps?: boolean;
    noSelect2?: boolean;
    monacoEditor?: common.MonacoEditor;
    value?: string;
    errorMessage?: string;
    buttonGroupStyle: string;
    collapsed: boolean;
    imagePreviewStyle: string;
    private monacoCodeEditor;
    onChange(e: {
        target: {
            value: string;
        };
    }): void;
    beforeMount(): void;
    mounted(): void;
    beforeDestroy(): void;
    private readonly canPreviewImage;
    private readonly canPreviewMarkdown;
    private readonly canPreviewCode;
    readonly canPreview: boolean | undefined;
    readonly useTextArea: boolean | undefined;
    readonly useInput: boolean | undefined;
    private readonly useSelect;
    readonly useSelect2Component: boolean;
    readonly useSelectComponent: boolean | undefined;
    readonly useRadioBoxComponent: boolean;
    readonly getImageUrl: string | undefined;
    readonly getMarkdown: string;
    readonly getCode: string;
    readonly isReadOnly: boolean | undefined;
    readonly hasDeleteButtonFunction: boolean;
    readonly willPreviewImage: boolean | "" | undefined;
    readonly willPreviewMarkdown: boolean | "" | undefined;
    readonly willPreviewCode: boolean | "" | undefined;
    readonly titleToShow: string;
    readonly options: {
        value: string | number;
        label: string | number;
    }[];
    readonly canUpload: boolean;
    readonly className: string;
    updateSelection(value: string): void;
    toggleOptional(): void;
    collapseOrExpand(): void;
    fileGot(file: File | Blob): void;
    private validate;
}
